Bug 1023341 - typo in .spec file...
typo in .spec file...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rubygem-rsvg2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 04:53 EDT by Zdeněk Pavlas
Modified: 2014-02-02 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-27 23:35:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdeněk Pavlas 2013-10-25 04:53:08 EDT
Description of problem:

There's a buggy provide in metadata:

<rpm:entry name="rubygem(rsvg2)" flags="EQ" epoch="0"/>

Version-Release number of selected component (if applicable):

rubygem-rsvg2-2.0.2-1.fc20.x86_64.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

You've accidentally merged two lines, see:

@@ -37,12 +26,9 @@ BuildRequires:       librsvg2-devel
 Requires:      rubygem(cairo)
 Requires:      rubygem(gdk_pixbuf2) >= %{glibminver}
 Requires:      rubygem(glib2) >= %{glibminver}
-Provides:      rubygem(%{gem_name}) = %{version}
-%if %{ruby19}
-Obsoletes:     ruby-%{gem_name} = %{version}-%{release}
+Provides:      rubygem(%{gem_name}) = %{version}Obsoletes:     ruby-%{gem_name} = %{version}-%{release}
 Provides:      ruby-%{gem_name} = %{version}-%{release}
 Provides:      ruby(%{gem_name}) = %{version}-%{release}
-%endif
 
 %description
 Ruby/RSVG is a Ruby binding of librsvg.
Comment 1 Mamoru TASAKA 2013-10-27 21:51:24 EDT
Fixed in 2.0.2-2, thank you.
Comment 2 Fedora Update System 2013-10-27 21:52:55 EDT
rubygem-rsvg2-2.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-rsvg2-2.0.2-2.fc20
Comment 3 Fedora Update System 2013-11-10 01:25:50 EST
rubygem-rsvg2-2.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.